Loading...
Searching...
No Matches
CglClique::frac_graph Struct Reference

A graph corresponding to a fractional solution of an LP. More...

Collaboration diagram for CglClique::frac_graph:
[legend]

## Public Member Functions

| frac_graph ()

## Public Attributes

int | nodenum
int | edgenum
double | density
| density= edgenum/(nodenum choose 2)
int | min_deg_node
int | min_degree
int | max_deg_node
int | max_degree
fnode * | nodes
| The array of the nodes in the graph.
int * | all_nbr
| The array of all the neighbors.
double * | all_edgecost
| The array of the costs of the edges going to the neighbors.

## Detailed Description

A graph corresponding to a fractional solution of an LP.

Two nodes are adjacent iff their columns are non-orthogonal.

Definition at line 113 of file CglClique.hpp.

## Constructor & Destructor Documentation

## frac_graph()

CglClique::frac_graph::frac_graph | ( |  | ) |

inline

Definition at line 132 of file CglClique.hpp.

## Member Data Documentation

## nodenum

int CglClique::frac_graph::nodenum

# of nodes = # of fractional values in the LP solution

Definition at line 115 of file CglClique.hpp.

## edgenum

int CglClique::frac_graph::edgenum

# of edges in the graph

Definition at line 117 of file CglClique.hpp.

## density

double CglClique::frac_graph::density

density= edgenum/(nodenum choose 2)

Definition at line 119 of file CglClique.hpp.

## min_deg_node

int CglClique::frac_graph::min_deg_node

Definition at line 120 of file CglClique.hpp.

## min_degree

int CglClique::frac_graph::min_degree

Definition at line 121 of file CglClique.hpp.

## max_deg_node

int CglClique::frac_graph::max_deg_node

Definition at line 122 of file CglClique.hpp.

## max_degree

int CglClique::frac_graph::max_degree

Definition at line 123 of file CglClique.hpp.

## nodes

fnode* CglClique::frac_graph::nodes

The array of the nodes in the graph.

Definition at line 125 of file CglClique.hpp.

## all_nbr

int* CglClique::frac_graph::all_nbr

The array of all the neighbors.

First the indices of the nodes adjacent to node 0 are listed, then those adjacent to node 1, etc.

Definition at line 128 of file CglClique.hpp.

## all_edgecost

double* CglClique::frac_graph::all_edgecost

The array of the costs of the edges going to the neighbors.

Definition at line 130 of file CglClique.hpp.

The documentation for this struct was generated from the following file:

- Cgl/src/CglClique/CglClique.hpp